package fr.monkhanny.dorfromantik.listeners;

import fr.monkhanny.dorfromantik.game.Board;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseWheelEvent;

public class GameZoomListener extends MouseAdapter {
    private Board board;

    public GameZoomListener(Board board) {
        this.board = board;
    }

    @Override
    public void mouseWheelMoved(MouseWheelEvent e) {
        // Vérifier si la touche Ctrl est enfoncée et la direction de la molette
        if (e.isControlDown()) {
            // Si la molette tourne vers le bas (zoom arrière)
            if (e.getWheelRotation() < 0) {
                board.zoomIn();  // Zoom avant
            } else {
                board.zoomOut();  // Zoom arrière
            }
        }
    }
}
